clc;
clear;

Figure1_Data = readtable('Figure1.txt');

LB = Figure1_Data.Estimates+tinv(0.025,81)*Figure1_Data.se;
UB = Figure1_Data.Estimates+tinv(0.975,81)*Figure1_Data.se;

figure1 = figure;
axes1 = axes('Parent',figure1);
hold on;            
plot((1:38)',Figure1_Data.Estimates,'LineWidth',1.5);
hold on;
plot((1:38)',[LB UB], 'r:','LineWidth',1.5);
hline1 = refline(0,-1);
hline1.Color = 'k';
hline2 = refline(0,0);
hline2.Color = 'k';
errorbar(Figure1_Data.beta_i_hat,Figure1_Data.se_i,'bo','MarkerEdgeColor','blue','MarkerFaceColor','blue');
ylim([-2,1]);

FigureName = "Figure1";
set(axes1,'FontName','Times New Roman','FontSize',10);
box(axes1,'on');
hold(axes1,'off');
xlabel('Number of Firms Aggregated');
ylabel("\beta Coefficient in (6)");
print(FigureName,'-dpng','-r600');
%close(figure1);