clc;clear;

Rst = [];

for K = [10 20 30 50]

    TP_Data = readtable(strcat('PortDataK',num2str(K),'.txt'));
    TP_Data.Cat = categorical(TP_Data.Cat);
    EW1         = TP_Data(TP_Data.Cat=='EW1',:);
    CW1         = TP_Data(TP_Data.Cat=='CW1',:);
    EW2         = TP_Data(TP_Data.Cat=='EW2',:);
    CW2         = TP_Data(TP_Data.Cat=='CW2',:);
    SP1926         = TP_Data(TP_Data.Cat=='SP500_1926',:);
    SP1871         = TP_Data(TP_Data.Cat=='SP500_1871',:);    
    TP_Rst          = zeros(6,4);

    [Cov,se,coeff] = hac(EW1.DP,EW1.GD);
    TP_Rst(1,1) = coeff(2,1);
    TP_Rst(1,2) = coeff(2,1)+tinv(0.025,size(EW1,1)-2)*se(2,1);
    TP_Rst(1,3) = coeff(2,1)+tinv(0.975,size(EW1,1)-2)*se(2,1);
    TP_Rst(1,4) = se(2,1);
    
    [Cov,se,coeff] = hac(CW1.DP,CW1.GD);
    
    TP_Rst(2,1) = coeff(2,1);
    TP_Rst(2,2) = coeff(2,1)+tinv(0.025,size(CW1,1)-2)*se(2,1);
    TP_Rst(2,3) = coeff(2,1)+tinv(0.975,size(CW1,1)-2)*se(2,1);
    TP_Rst(2,4) = se(2,1);
    
    [Cov,se,coeff] = hac(EW2.DP,EW2.GD);
    
    TP_Rst(3,1) = coeff(2,1);
    TP_Rst(3,2) = coeff(2,1)+tinv(0.025,size(EW2,1)-2)*se(2,1);
    TP_Rst(3,3) = coeff(2,1)+tinv(0.975,size(EW2,1)-2)*se(2,1);
    TP_Rst(3,4) = se(2,1);
    
    [Cov,se,coeff] = hac(CW2.DP,CW2.GD);
    
    TP_Rst(4,1) = coeff(2,1);
    TP_Rst(4,2) = coeff(2,1)+tinv(0.025,size(CW2,1)-2)*se(2,1);
    TP_Rst(4,3) = coeff(2,1)+tinv(0.975,size(CW2,1)-2)*se(2,1);
    TP_Rst(4,4) = se(2,1);
    
    [Cov,se,coeff] = hac(SP1926.DP,SP1926.GD);
    
    TP_Rst(5,1) = coeff(2,1);
    TP_Rst(5,2) = coeff(2,1)+tinv(0.025,size(SP1926,1)-2)*se(2,1);
    TP_Rst(5,3) = coeff(2,1)+tinv(0.975,size(SP1926,1)-2)*se(2,1);
    TP_Rst(5,4) = se(2,1);
    
    [Cov,se,coeff] = hac(SP1871.DP,SP1871.GD);    
    TP_Rst(6,1) = coeff(2,1);
    TP_Rst(6,2) = coeff(2,1)+tinv(0.025,size(SP1871,1)-2)*se(2,1);
    TP_Rst(6,3) = coeff(2,1)+tinv(0.975,size(SP1871,1)-2)*se(2,1);
    TP_Rst(6,4) = se(2,1);

    Rst = [Rst;ones(6,1)*K TP_Rst];

end
